package com.ekexiu.project.bridge.alarm;

import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.In;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;
@DAO
public interface AlarmDao {
	@Insert
	int insert(Connection con,AlarmDataError cnt)throws SQLException;
	
	@Insert
	int insert(Connection con,AlarmMsg msg)throws SQLException;
	@Insert
	@Batch
	int[] insertAlarmDataItems(Connection con, List<AlarmDataItem> items)throws SQLException;
	
	@PageSelect
	@OrderBy("ORDER BY ALARM_TIME DESC,SERVER DESC,AID DESC")
	PageQueryResult<AlarmMsg> queryAlarmMsg(Connection con, @In String[] server,String uid, int pageSize, int pageNo)throws SQLException;
	
	
	@UpdateWith
	@From(AlarmMsg.class)
	@SetSentence("READED='1',READ_TIME=TO_CHAR(NOW(),'YYYYMMDDHH24MISS')")
	@Where("READED='0'")
	int readed(Connection con,String uid,String aid)throws SQLException;
	
	@SelectList
	List<AlarmDataItem> query(Connection con,String id)throws SQLException;
	
	
}
