package com.ekexiu.project.bridge.alarm;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;


@PrimaryKey({"uid","aid"})
@Table(descp="报警消息")
public class AlarmMsg {
	private String uid;
	private String aid;
	private String server;
	private int  device;
	private boolean readed;
	private String readTime;
	private String alarmTime;
	private String createTime;
	
	@Column(descp="用户ID",value=DE.refid_32)
	public String getUid() {
		return uid;
	}
	public void setUid(String uid) {
		this.uid = uid;
	}
	@Column(descp="报警ID",value=DE.text_de)
	public String getAid() {
		return aid;
	}
	public void setAid(String aid) {
		this.aid = aid;
	}
	@Column(descp="采集服务器内部编号",value=DE.text_de)
	public String getServer() {
		return server;
	}
	public void setServer(String server) {
		this.server = server;
	}
	@Column(descp="采集盒内部编号",value=DE.int_de)
	public int getDevice() {
		return device;
	}
	public void setDevice(int device) {
		this.device = device;
	}
	@Column(descp="是否已读",value=DE.boolean_de,fixSqlValueWithInsert="'0'")
	public boolean isReaded() {
		return readed;
	}
	public void setReaded(boolean readed) {
		this.readed = readed;
	}
	@Column(descp="读取时间",value=DE.Text_de)
	public String getReadTime() {
		return readTime;
	}
	public void setReadTime(String readTime) {
		this.readTime = readTime;
	}
	@Column(descp="创建时间（YYYYMMDDHH24MISS）不可修改", handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = false)
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	@Column(descp="报警时间",value=DE.text_de)
	public String getAlarmTime() {
		return alarmTime;
	}
	public void setAlarmTime(String alarmTime) {
		this.alarmTime = alarmTime;
	}
	
	
	
	
}
