package com.ekexiu.project.bridge.collect;

import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.param.Alias;
import org.jfw.apt.orm.annotation.dao.param.GtEq;
import org.jfw.apt.orm.annotation.dao.param.In;
import org.jfw.apt.orm.annotation.dao.param.LtEq;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

@DAO
public interface CollectDao {

	@Insert
	int insertWaveDataError(Connection con,WaveDataError cnt)throws SQLException;
	
	@Insert
	@Batch
	int[] insertWaveDataItems(Connection con,List<WaveDataItem> items)throws SQLException;
	
	@SelectList
	@OrderBy("ORDER BY SEQ,CTIME,DID,CID")
	List<WaveDataItem> query(Connection con,@In String[] seq,@Alias("ctime") @GtEq String btime,@Alias("ctime") @LtEq String etime)throws SQLException;
	
	@SelectList
	@OrderBy("ORDER BY CTIME,CID")
	List<WaveDataItem> query(Connection con,String seq,int did,@Alias("ctime") @GtEq String btime,@Alias("ctime") @LtEq String etime)throws SQLException;
	
	@SelectList
	@OrderBy("ORDER BY CTIME")
	List<WaveDataItem> query(Connection con,String seq,int did,int cid,@Alias("ctime") @GtEq String btime,@Alias("ctime") @LtEq String etime)throws SQLException;
	

	
	
}
